Redmine - Patch #36919

Update RuboCop to 1.57
2022-04-10 09:11 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Gems support Estimated time: 0.00 hour
Target version: 5.1.0

Description

Associated revisions

Revision 21527 - 2022-04-10 09:34 - Go MAEDA
Update RuboCop to 1.27 (#36919).

Revision 21547 - 2022-05-01 07:51 - Go MAEDA
Update RuboCop to 1.28 (#36919).

Revision 21630 - 2022-06-14 04:36 - Go MAEDA
Fix RuboCop offense Style/RedundantCondition in lib/redmine/menu_manager.rb (#36919).

Revision 21631 - 2022-06-14 04:57 - Go MAEDA
Update RuboCop to 1.30 (#36919).

Revision 21694 - 2022-06-30 09:35 - Go MAEDA
Fix RuboCop offense Lint/NonAtomicFileOperation (#36919).

Revision 21696 - 2022-06-30 11:30 - Go MAEDA
Fix RuboCop offense Layout/FirstHashElementindentation (#36919).

Revision 21697 - 2022-06-30 11:42 - Go MAEDA
Update RuboCop to 1.31 (#36919).

Revision 21707 - 2022-07-16 11:14 - Go MAEDA
Fix RuboCop offense Style/RedundantParentheses (#36919).

Revision 21733 - 2022-07-21 14:55 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 21734 - 2022-07-21 15:03 - Go MAEDA
Update RuboCop to 1.32 (#36919).

Revision 21759 - 2022-08-05 03:33 - Go MAEDA
Update RuboCop to 1.33 (#36919).

Revision 21770 - 2022-08-13 07:51 - Go MAEDA
Update RuboCop to 1.35 (#36919).

Revision 21795 - 2022-09-03 08:23 - Go MAEDA
Disable RuboCop Style/TernaryParentheses (#36919).

Revision 21796 - 2022-09-03 08:33 - Go MAEDA
Update RuboCop to 1.36 (#36919).
Revision 21821 - 2022-09-19 07:46 - Go MAEDA
Disable RuboCop Style/Semicolon (#36919).

Revision 21855 - 2022-09-27 11:11 - Go MAEDA
Disable RuboCop Style/SoleNestedConditional (#36919).

Revision 21916 - 2022-10-20 10:39 - Go MAEDA
Disable RuboCop Rails/WhereExists (#36919).

Revision 21919 - 2022-10-26 15:06 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 21920 - 2022-10-26 15:14 - Go MAEDA
Fix RuboCop offense Style/RedundantStringEscape (#36919).

Revision 21921 - 2022-10-26 15:19 - Go MAEDA
Fix RuboCop offense Lint/RedundantRequireStatement (#36919).

Revision 21922 - 2022-10-26 15:28 - Go MAEDA
Update RuboCop to 1.37 (#36919).

Revision 21941 - 2022-11-02 02:02 - Go MAEDA
Update RuboCop to 1.38 (#36919).

Revision 21957 - 2022-11-14 10:57 - Go MAEDA
Update RuboCop to 1.39 (#36919).

Revision 21989 - 2022-12-09 06:42 - Go MAEDA
Fix RuboCop offense Style/RedundantConstantBase (#36919).

Revision 21998 - 2022-12-23 03:23 - Go MAEDA
Update RuboCop to 1.41 (#36919).

Revision 22002 - 2022-12-26 03:22 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22019 - 2023-01-02 07:10 - Go MAEDA
Fix RuboCop offense Style/MinMaxComparison (#36919).

Revision 22020 - 2023-01-02 07:23 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22021 - 2023-01-02 07:32 - Go MAEDA
Update RuboCop to 1.42 (#36919).

Revision 22035 - 2023-01-11 15:03 - Go MAEDA
Fix RuboCop offense Lint/UselessRescue (#36919).

Revision 22036 - 2023-01-11 15:11 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22037 - 2023-01-11 15:20 - Go MAEDA
Update RuboCop to 1.43 (#36919).

Revision 22075 - 2023-01-25 03:14 - Go MAEDA

Fix RuboCop offense Style/MethodCallWithoutArgsParentheses (#36919).
Revision 22076 - 2023-01-25 04:10 - Go MAEDA
Update RuboCop to 1.44 (#36919).

Revision 22105 - 2023-02-15 00:16 - Go MAEDA

Fix RuboCop offense Style/RedundantHeredocDelimiterQuotes (#36919).

Revision 22106 - 2023-02-15 00:38 - Go MAEDA

Fix RuboCop offense Style/YodaCondition (#36919).

Revision 22107 - 2023-02-15 00:52 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22108 - 2023-02-15 01:13 - Go MAEDA
Update RuboCop to 1.45 (#36919).

Revision 22113 - 2023-02-24 05:32 - Go MAEDA
Update RuboCop to 1.46 (#36919).

Revision 22125 - 2023-03-03 03:00 - Go MAEDA
Update RuboCop to 1.47 (#36919).

Revision 22126 - 2023-03-03 03:18 - Go MAEDA
Don't load RuboCop by default (#36919).

Revision 22147 - 2023-03-24 10:34 - Go MAEDA
Fix RuboCop offense Lint/MissingSuper (#36919).

Revision 22148 - 2023-03-24 10:36 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22149 - 2023-03-24 10:47 - Go MAEDA
Update RuboCop to 1.48 (#36919).

Revision 22150 - 2023-03-25 00:17 - Go MAEDA

Fix RuboCop offense Rails/Presence in lib/redmine/scm/adapters/abstract_adapter.rb (#36919).

Revision 22151 - 2023-03-25 00:31 - Go MAEDA

Remove redundant "Enabled: true" in .rubocop.yml (#36919).

Revision 22162 - 2023-04-05 10:50 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22163 - 2023-04-05 10:59 - Go MAEDA
Update RuboCop to 1.49 (#36919).

Revision 22178 - 2023-04-12 08:15 - Go MAEDA
Update RuboCop to 1.50 (#36919).

Revision 22199 - 2023-04-16 12:24 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22246 - 2023-05-15 04:51 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22247 - 2023-05-15 09:48 - Go MAEDA
Update RuboCop to 1.51 (#36919).
Revision 22251 - 2023-06-07 14:37 - Go MAEDA
Fix RuboCop offense Style/RedundantFilterChain (#36919).

Revision 22252 - 2023-06-07 14:39 - Go MAEDA

Fix RuboCop offense Style/RedundantArrayConstructor (#36919).

Revision 22253 - 2023-06-07 15:04 - Go MAEDA
Fix RuboCop offense Lint/RedundantSafeNavigation (#36919).

Revision 22254 - 2023-06-07 15:17 - Go MAEDA
Update RuboCop to 1.52 (#36919).

Revision 22262 - 2023-06-29 02:39 - Go MAEDA

Fix RuboCop offense Style/RedundantRegexpArgument (#36919).

Revision 22263 - 2023-06-29 03:37 - Go MAEDA

Fix RuboCop offense Style/RedundantSelfAssignmentBranch (#36919).

Revision 22264 - 2023-06-29 03:56 - Go MAEDA

Fix RuboCop offense Style/ReturnNillnPredicateMethodDefinition (#36919).

Revision 22265 - 2023-06-29 05:28 - Go MAEDA
Update RuboCop to 1.53 (#36919).

Revision 22276 - 2023-07-02 09:20 - Go MAEDA
Update RuboCop to 1.54 (#36919).

Revision 22277 - 2023-08-09 10:13 - Go MAEDA
Regenerate .rubocop_todo.yml (#36919).

Revision 22278 - 2023-08-10 01:42 - Go MAEDA
Update RuboCop to 1.56 (#36919).

Revision 22337 - 2023-10-12 12:08 - Go MAEDA
Fix RuboCop offense Style/RedundantFilterChain (#36919).

Revision 22338 - 2023-10-12 12:28 - Go MAEDA
Update RuboCop to 1.57 (#36919).

Revision 22348 - 2023-10-16 16:56 - Go MAEDA
Disable RuboCop Style/InverseMethods (#36919).

History

#1 - 2022-04-10 09:32 - Go MAEDA

- Tracker changed from Defect to Patch

#2 - 2022-04-10 09:35 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Updated to RuboCop 1.27 in r21527.

#3 - 2022-05-01 07:52 - Go MAEDA

- Subject changed from Update RuboCop to 1.27 to Update RuboCop to 1.28

Updated to RuboCop 1.28 in r21547.

2025-08-23

4/6


https://www.redmine.org/projects/redmine/repository/svn/revisions/21527
https://www.redmine.org/projects/redmine/repository/svn/revisions/21547

#4 - 2022-06-14 04:57 - Go MAEDA
- Subject changed from Update RuboCop to 1.28 to Update RuboCop to 1.30

Updated to RuboCop 1.30 in r21631.

#5 - 2022-06-30 11:42 - Go MAEDA
- Subject changed from Update RuboCop to 1.30 to Update RuboCop to 1.31

Updated to RuboCop 1.31 in r21697.

#6 - 2022-07-21 15:03 - Go MAEDA
- Subject changed from Update RuboCop to 1.31 to Update RuboCop to 1.32

Updated to RuboCop 1.32 in r21734.

#7 - 2022-08-05 03:33 - Go MAEDA
- Subject changed from Update RuboCop to 1.32 to Update RuboCop to 1.33

Updated RuboCop to 1.33 in r21759.

#8 - 2022-08-13 07:52 - Go MAEDA
- Subject changed from Update RuboCop to 1.33 to Update RuboCop to 1.35

Updated RuboCop to 1.35 in r21770.

#9 - 2022-10-26 15:30 - Go MAEDA
- Subject changed from Update RuboCop to 1.35 to Update RuboCop to 1.37

Updated RuboCop to 1.37 in r21922.

#10 - 2022-11-02 02:03 - Go MAEDA
- Subject changed from Update RuboCop to 1.37 to Update RuboCop to 1.38

Updated RuboCop to 1.38 in r21941.

#11 - 2022-11-14 10:57 - Go MAEDA
- Subject changed from Update RuboCop to 1.38 to Update RuboCop to 1.39

Updated RuboCop to 1.39 in r21957.

#12 - 2022-12-23 03:23 - Go MAEDA
- Subject changed from Update RuboCop to 1.39 to Update RuboCop to 1.41

Updated RuboCop to 1.41 in r21998.

#13 - 2023-01-02 07:32 - Go MAEDA
- Subject changed from Update RuboCop to 1.41 to Update RuboCop to 1.42

Updated RuboCop to 1.42 in r22021.

#14 - 2023-01-11 15:21 - Go MAEDA
- Subject changed from Update RuboCop to 1.42 to Update RuboCop to 1.43

Updated RuboCop to 1.43 in r22037.

#15 - 2023-01-25 04:10 - Go MAEDA
- Subject changed from Update RuboCop to 1.43 to Update RuboCop to 1.44
Updated RuboCop to 1.44 in r22076.

#16 - 2023-02-15 01:13 - Go MAEDA
- Subject changed from Update RuboCop to 1.44 to Update RuboCop to 1.45

Updated RuboCop to 1.45 in r22108.

#17 - 2023-02-24 05:34 - Go MAEDA
- Subject changed from Update RuboCop to 1.45 to Update RuboCop to 1.46

Updated RuboCop to 1.46 in r22113.

#18 - 2023-03-03 03:01 - Go MAEDA
Updated RuboCop to 1.47 in r22125.

#19 - 2023-03-03 04:03 - Go MAEDA
- Subject changed from Update RuboCop to 1.46 to Update RuboCop to 1.47

#20 - 2023-03-24 10:47 - Go MAEDA
- Subject changed from Update RuboCop to 1.47 to Update RuboCop to 1.48

Updated RuboCop to 1.48 in r22149.

#21 - 2023-04-12 08:16 - Go MAEDA
- Subject changed from Update RuboCop to 1.48 to Update RuboCop to 1.50

Updated RuboCop to 1.50 in r22178.

#22 - 2023-05-15 09:48 - Go MAEDA
- Subject changed from Update RuboCop to 1.50 to Update RuboCop to 1.51

Updated RuboCop to 1.51 in r22247.

#23 - 2023-06-07 15:17 - Go MAEDA
- Subject changed from Update RuboCop to 1.51 to Update RuboCop to 1.52

Updated RuboCop to 1.52 in r22254.

#24 - 2023-06-29 05:29 - Go MAEDA
- Subject changed from Update RuboCop to 1.52 to Update RuboCop to 1.53

Updated RuboCop to 1.53 in r22265.

#25 - 2023-07-02 09:20 - Go MAEDA
- Subject changed from Update RuboCop to 1.53 to Update RuboCop to 1.54

Updated RuboCop to 1.54 in r22276.

#26 - 2023-08-10 01:42 - Go MAEDA
- Subject changed from Update RuboCop to 1.54 to Update RuboCop to 1.56

Updated RuboCop to 1.56 in r22278.

#27 - 2023-10-12 12:28 - Go MAEDA
- Subject changed from Update RuboCop to 1.56 to Update RuboCop to 1.57

Updated RuboCop to 1.57 in r22338.
